Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228962 - HwCert catalog mis-recognize the FAILED network test as "PASSED" -- RHEL5-certs
Summary: HwCert catalog mis-recognize the FAILED network test as "PASSED" -- RHEL5-certs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Yu Shao
QA Contact: Yu Shao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 09:14 UTC by YangKun
Modified: 2008-07-16 21:59 UTC (History)
3 users (show)

Fixed In Version: R28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 05:33:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description YangKun 2007-02-16 09:14:13 UTC
Description of problem:
RHEL5 + hts
HwCert catalog mis-recognize the FAILED network test as "PASSED".

Please refer to :
http://hardware.redhat.com/hwcert/show.cgi?id=228074
http://hardware.redhat.com/hwcert/results.cgi?cert_id=228074&id=47393

We can see the error message :
 "Network test on device eth2 failed
...finished running ./network.py, exit code=1 "

but the catalog displays a green "PASSED" .

Seems this issue only applies to NETWORK test, I haven't seen the same issue for
other tests.

Comment 1 Rob Landry 2007-02-19 20:01:00 UTC
As per yhe's email; this is unique to NETWORK and not in the catalog code.  The
catalog will properly pickup tests labeled failed from hts packages so this
seems to be unique with network test in hts.  Based on that, I'm going to switch
product/componet from rhr2/website to hts/network.

Comment 2 Greg Nichols 2007-02-20 15:51:37 UTC
Fixed R26

Comment 3 YangKun 2007-03-07 05:31:35 UTC
verified the fix in R28


Note You need to log in before you can comment on or make changes to this bug.